﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Collections.ObjectModel;

namespace SimpleReportWPF
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
    }

    public class Data : INotifyPropertyChanged
    {
        private TimeSpan duration;
        private string label;

        public string Label
        {
            get { return label; }
            set
            {
                label = value;
                PropChanged("Label");
            }
        }

        public TimeSpan Duration
        {
            get { return duration; }
            set
            {
                duration = value;
                PropChanged("Duration");
            }
        }



        public static ObservableCollection<Data> GetData(int points, int rangeStart, int rangeEnd)
        {
            ObservableCollection<Data> data = new ObservableCollection<Data>();

            data.Add(new Data { Label = "Item 1", Duration = new TimeSpan(0, 50, 3, 20, 11) });
            data.Add(new Data { Label = "Item 2", Duration = new TimeSpan(1, 50, 0) });
            data.Add(new Data { Label = "Item 3", Duration = new TimeSpan(1, 10, 4) });
            data.Add(new Data { Label = "Item 4", Duration = new TimeSpan(2, 50, 0) });
            data.Add(new Data { Label = "Item 5", Duration = new TimeSpan(3, 1, 0) });

            return data;
        }

        public event PropertyChangedEventHandler PropertyChanged;

        public void PropChanged(string name)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(name));
        }
    }
}
